import {
   httpAxios_gym,
   httpAxios_gyt,
   httpAxios_klx
   // httpAxios_gyt
} from "@/api/ApiInstance"

/** 管乐迷 */
export const queryTree_gym = () => {
   return httpAxios_gym.axioseRquest({
      method: "get",
      url: "/api-teacher/sysMusicScoreCategories/queryTree"
   })
}

export const querySubjectIds_gym = (data?: any) => {
   return httpAxios_gym.axioseRquest({
      method: "get",
      url: "/api-teacher/sysMusicScoreAccompaniment/querySubjectIds",
      params: data
   })
}

export const queryPage2_gym = (data: any) => {
   return httpAxios_gym.axioseRquest({
      method: "get",
      url: "/api-teacher/sysMusicScore/queryPageSimple",
      params: data
   })
}

export const cbsDetail_gym = (id: number, data = {}) => {
   return httpAxios_gym.axioseRquest({
      method: "get",
      url: `/api-teacher/musicSheet/cbsDetail/${id}`,
      params: data
   })
}

export const instrumentCode_gym = (data: any) => {
   return httpAxios_gym.axioseRquest({
      method: "get",
      url: "/api-teacher/musicSheet/instrumentCode",
      params: data
   })
}

/**
 * 管乐团
 */
export const queryTree_gyt = (data: any) => {
   return httpAxios_gyt.axioseRquest({
      method: "post",
      url: "/api-teacher/musicSheetCategories/page",
      data
   })
}

export const querySubjectIds_gyt = (data?: any) => {
   return httpAxios_gyt.axioseRquest({
      method: "get",
      url: "/api-teacher/subject/musicList",
      params: data
   })
}

export const queryPage2_gyt = (data: any) => {
   return httpAxios_gyt.axioseRquest({
      method: "post",
      url: "/api-teacher/musicSheet/page",
      data
   })
}

export const instrumentCode_gyt = (data: any) => {
   return httpAxios_gyt.axioseRquest({
      method: "get",
      url: "/api-teacher/musicSheet/instrumentCode",
      params: data
   })
}

/**
 * 酷乐秀
 */
export const queryTree_klx = (data?: any) => {
   return httpAxios_klx.axioseRquest({
      method: "get",
      url: "/api-teacher/tenantGroupAlbum/buyAlbumInfo",
      params: data
   })
}

export const querySubjectIds_klx = (data?: any) => {
   return httpAxios_klx.axioseRquest({
      method: "get",
      url: "/api-teacher/open/subject/queryPage",
      params: data
   })
}

export const queryPage2_klx = (data: any) => {
   return httpAxios_klx.axioseRquest({
      method: "post",
      url: "/api-teacher/tenantAlbumMusic/pageSimple",
      data
   })
}

export const selectCondition_klx = (data: any) => {
   return httpAxios_klx.axioseRquest({
      method: "post",
      url: "/api-teacher/tenantGroupAlbum/selectCondition",
      data
   })
}

export const cbsDetail_klx = (id: number, data = {}) => {
   return httpAxios_klx.axioseRquest({
      method: "get",
      url: `/api-teacher/musicSheet/cbsDetail/${id}`,
      params: data
   })
}

export const instrumentCode_klx = (data: any) => {
   return httpAxios_klx.axioseRquest({
      method: "get",
      url: "/api-teacher/music/sheet/instrumentCode",
      params: data
   })
}
